# es-webpack-engin  4.6.0 (2021.6.4)

* 开启 生产环境打包的错误展示
* uglifyjs-webpack-plugin 替换为 terser-webpack-plugin

# es-webpack-engin  4.4.1 (2020.4.6)

* 升级webpack4相关配置项以及依赖包版本
* 支持.vue文件的打包
* 设置 cpuNumber 配置项，调整打包时cpu核数量, 在webpack.config.js中设置, 默认值为2

```js
  //
  module.exports = {
    cpuNumber: 2
  }
```

# es-webpack-engine 3.5.3-rc.2(2019.1.10)

* 解决window下主题匹配路径报错问题, window 下文件目录会出现'\'的情况

```js
    // utils.js
    const sep = path.sep;
    const isTheme = (path) => {
      const finalPath = path.split(sep).join('/');
      return finalPath.indexOf('web/themes') !== -1;
    }

```

# es-webpack-engine 3.5.3-rc.1(2018.03.26)

* 支持教学活动资源的编译

# es-webpack-engine 3.5.2(2018.03.06)

* 添加ESlint

# es-webpack-engine 3.5.0(2017.12.22)

* 修复生产环境下样式文件没有压缩的问题

* 优化提供共同依赖的策略

# es-webpack-engine 3.4.5 (2017.8.9)

* 修复watch ignore插件引起的编译速度慢的问题

# es-webpack-engine 3.4.4 (2017.8.4)

* 添加对新增插件或主题的监听

# es-webpack-engine 3.4.3 (2017.8.1)

* 优化对外提供的命令

* 优化分模块监听前端资源的逻辑

* 独立出分模块编译前端资源的逻辑

# es-webpack-engine 3.3.0 (2017.7.20)

* 优化新增入口文件的监听方式

# es-webpack-engine 3.2.2 (2017.7.10)

* 修复对swf等文件的解析问题

# es-webpack-engine 3.2.1 (2017.6.19)

* 支持mp3等媒体格式

# es-webpack-engine 3.2.0 (2017.6.19)

* 支持主题配色方案

# es-webpack-engine 3.1.1 (2017.6.14)

* 由于webpack2导致相同js文件只能被执行一次，故用回webpack1

# es-webpack-engine 4.0.0 (2017.5.31)

* 升级webpack版本为2.0

* 新的报错提示

* 方案目录结构重整

* 添加编译进度提示

* 添加依赖分析工具

* 修复nodemon.json文件有可能被清空的问题

* 新增高级操作命令

# es-webpack-engine 3.0.18 (2017.4.26)

* 添加对bundle的支持

# es-webpack-engine 3.0.12 (2017.4.9)

* 优化common文件大小

# es-webpack-engine 3.0.11 (2017.3.30)

* 修复custom模块的bug

# es-webpack-engine 3.0.10 (2017.3.29)

* 将minChunks修改为5

# es-webpack-engine 3.0.9 (2017.3.28)

* 将所有的webpack依赖都放入了这个方案中

* 优化了使用方式

# es-weebpack-engine 2.5.7 (2017.3.16)

* 添加是否生成common.js的开关

# es-weebpack-engine 2.5.6 (2017.3.14)

* 修复遍历的目录不存在的问题

# es-weebpack-engine 2.5.2 (2017.3.14)

* 优化代码

# es-weebpack-engine 2.5.1 (2017.3.14)

* 添加对custom的支持

# es-weebpack-engine 2.4.3 (2017.2.22)

* 删除eslint

# es-webpack-engine 2.4.2 (2017.2.16)

* 添加theme资源的打包

# es-webpack-engine 2.3.5 (2017.2.10)

* 添加node_modules 的exclude配置

# es-webpack-engine 2.3.4 (2017.2.10)

* 添加cors依赖

# es-webpack-engine 2.3.3 (2017.2.10)

* 引入cors跨域方案

# es-webpack-engine 2.3.2 (2017.2.9)

* chokidar配置优化

# es-webpack-engine 2.3.0 (2017.1.19)

* 对新增入口文件的支持

# es-webpack-engine 2.2.1 (2017.1.19)

* 引入happypack加快编译速度

# es-webpack-engine 2.1.19 (2017.1.18)

* 依赖调整

# es-webpack-engine 2.1.18 (2017.1.11)

* 新增终端命名中对选择监听模块的支持

# es-webpack-engine 2.1.17 (2017.1.10)

* 修改dev开发依赖

# es-webpack-engine 2.1.15 (2017.1.9)

* 优化webpack的通知功能

# es-webpack-engine 2.1.14 (2017.1.4)

* 优化alias的配置

# es-webpack-engine 2.1.13 (2017.1.3)

* 优化对组件样式的支持

* 修复新增多余json.gzip文件的问题

# es-webpack-engine 2.1.11 (2016.12.30)

* 修复swf配置

# es-webpack-engine 2.1.10 (2016.12.30)

* 限定依赖版本

* 修改swf存放的目录

# es-webpack-engine 2.1.9 (2016.12.22)

* 添加对IE8的支持

# es-webpack-engine 2.1.7 (2016.12.21)

* 修复插件主入口文件生成不了的BUG

# es-webpack-engine 2.1.6 (2016.12.20)

* 修复cacheDirectory 设为true时，新增多余json.gzip文件的问题

# es-webpack-engine 2.1.3 (2016.12.20)

* 添加图片纯拷贝的功能

# es-webpack-engine 2.1.2 (2016.12.14)

* 添加对swf资源文件的支持

# es-webpack-engine 2.1.1 (2016.12.13)

* 修复admin、app目录没有资源的问题

# es-webpack-engine 2.1.0 (2016.12.10)

* 调整监听的目录结构

* 可配置监听哪几个目录资源

# es-webpack-engine 2.0.3 (2016.12.05)

* 细节优化

# es-webpack-engine 2.0.2 (2016.12.05)

* 修复图标、背景图等资源在生产环境下url不对的问题

# es-webpack-engine 2.0.1 (2016.12.05)

* 修复onlyCopys为空，报错的问题

# es-webpack-engine 2.0.0 (2016.12.02)

* 针对 Biz-Symfony-Starter 的目录结构以及需求，进行了重构
